JsonCpp project page | Classes | Namespace | JsonCpp home page

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Json::Features Class Reference

Configuration passed to reader and writer. More...

`#include <json/features.h>`

Collaboration diagram for Json::Features:

## Public Member Functions
| Features ()
| Initialize the configuration like JsonConfig::allFeatures;. More...

## Static Public Member Functions
static Features | all ()
| A configuration that allows all features and assumes all strings are UTF-8. More...
static Features | strictMode ()
| A configuration that is strictly compatible with the JSON specification. More...

## Public Attributes
bool | allowComments_
| `true` if comments are allowed. Default: `true`. More...
bool | strictRoot_
| `true` if root must be either an array or an object value. More...
bool | allowDroppedNullPlaceholders_
| `true` if dropped null placeholders are allowed. Default: `false`. More...
bool | allowNumericKeys_
| `true` if numeric object key are allowed. Default: `false`. More...

## Detailed Description

Configuration passed to reader and writer.

This configuration object can be used to force the Reader or Writer to behave in a standard conforming way.

Definition at line 21 of file features.h.

## Constructor & Destructor Documentation

## ◆ Features()

Json::Features::Features | ( |  | ) |

Initialize the configuration like JsonConfig::allFeatures;.

Definition at line 66 of file json_reader.cpp.

Referenced by all().

Here is the caller graph for this function:

## Member Function Documentation

## ◆ all()

Features Json::Features::all | ( |  | ) |
| static

A configuration that allows all features and assumes all strings are UTF-8.

- C & C++ comments are allowed
- Root object can be any JSON value
- Assumes Value strings are encoded in UTF-8

Definition at line 70 of file json_reader.cpp.

References Features().

## ◆ strictMode()

Features Json::Features::strictMode | ( |  | ) |
| static

A configuration that is strictly compatible with the JSON specification.

- Comments are forbidden.
- Root object must be either an array or an object value.
- Assumes Value strings are encoded in UTF-8

Definition at line 72 of file json_reader.cpp.

References allowComments_, allowDroppedNullPlaceholders_, allowNumericKeys_, and strictRoot_.

## Member Data Documentation

## ◆ allowComments_

bool Json::Features::allowComments_

`true` if comments are allowed. Default: `true`.

Definition at line 44 of file features.h.

Referenced by Json::Reader::parse(), and strictMode().

## ◆ allowDroppedNullPlaceholders_

bool Json::Features::allowDroppedNullPlaceholders_

`true` if dropped null placeholders are allowed. Default: `false`.

Definition at line 51 of file features.h.

Referenced by Json::Reader::parse(), and strictMode().

## ◆ allowNumericKeys_

bool Json::Features::allowNumericKeys_

`true` if numeric object key are allowed. Default: `false`.

Definition at line 54 of file features.h.

Referenced by Json::Reader::parse(), and strictMode().

## ◆ strictRoot_

bool Json::Features::strictRoot_

`true` if root must be either an array or an object value.

Default: `false`.

Definition at line 48 of file features.h.

Referenced by Json::Reader::parse(), and strictMode().

The documentation for this class was generated from the following files:

- include/json/features.h
- src/lib_json/json_reader.cpp